Verify Code

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Verifies the OTP that was sent to the user's email as part of a password reset workflow. If the verificationCode is invalid, a 400 response will be returned containing a Constraint Violations Error like the following:

{
  "type": "constraint_violations_error",
  "code": "message_body_constraint_violations",
  "message": "Field violations were detected in the request body",
  "ticket": "jgqgau2nj4eobeaje6m4jhoop8",
  "violations": {
    "emailAuthCode": [{
      "verificationCode": "invalid_verification_code"
    }]
  }
}

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
password-reset-workflow:executeApplicationThe subject can perform this operation for requests associated with the application to which the subject belongs.
Body Params

Verify Code Request JSON object

Object representing a request to verify an OTP.

string
required
length ≥ 1

A code that is used to identify the current password reset request.

string
required
length ≥ 1

The verification code that was sent to the user's email.

Responses
204

No Content

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json